C2DEC(1)

NAME
c2dec - codec2 testing framework

DESCRIPTION
Codec2 test and evaluation program

USAGE
c2dec 3200|2400|1600|1400}1300|1200 InputFile OutputRawFile [OPTIONS]

OPTIONS

--help
    display help and exit

--ber
    Set bit error rate (float)

--startbit
    set start bit (integer)

--endbit
    set stop bit (integer)

--berfile
    specify berfile (file name string)

--natural
    use natural binary code (default is gray code)

--dump
    specify dump file (file name string)

Decodes a file of bits to a file of raw speech samples using codec2.

SEE ALSO

c2demo(1) c2enc(1) c2sim(1) fdmdv_demod(1) fdmdv_interleave(1) fdmdv_mod(1) fdmdv_put_test_bits(1) fec_dec(1) fec_enc(1) insert_errors(1)